# Auto Event Registration

## Overview

When integrated with the Hackle platform, even without registering events on the Dashboard, the SDK recognizes the event keys in your code and registers them on the Hackle platform. This document demonstrates how through examples.

**This document is suitable for developers, as code work is required.**

{% hint style="info" %}
Usage Tip

This is useful when you want to register a large number of events from other analytics tools (e.g., Google Analytics, Amplitude, etc.) or from your own database to Hackle all at once.
{% endhint %}

## Auto Registration Example

**Step 1. Hackle SDK Integration**

You must have completed integration with the Hackle SDK.\
Integration methods can be found in the SDK guide for each language or through the **SDK Integration Info** menu on the Dashboard.

**Step 2. Include the event to register in code and send**

The event key to register on the Hackle Dashboard is `auto_regist_event_key`.\
This event key has not yet been registered on the Hackle Dashboard.

![](/files/kjiyruckE3l4Kpy215FZ)

Include it in code, then run to send the event key.

```javascript
const eventKey = "auto_regist_event_key";	// 등록할 이벤트 키

hackleClient.track(eventKey);
```

**Step 3. Verify the result on the Dashboard**

If the event key was sent successfully, you can verify it in the Event Management list.

![](/files/yoHulPiXRnHUyvR1KM4c)

**Step 4. Use the registered event**

To use the new event, you must create a new A/B Test or User Funnel.

## Auto Event Registration Tips

{% hint style="info" %}
If you plan to register many event keys frequently

You can create a method for event registration and call that method as needed to register event keys.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/en/event-management/event-auto-regist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
